- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sc::GenPetite4 Class Reference

This class is an abstract base to a generalized four index petite list. More...

`#include <gpetite.h>`

Inheritance diagram for sc::GenPetite4:

List of all members.

## Public Member Functions
| GenPetite4 (const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2, const Ref< GaussianBasisSet > &b3, const Ref< GaussianBasisSet > &b4)
virtual int | in_p4 (int i, int j, int k, int l)=0
## Protected Attributes
bool | c1_
int | ng_
int ** | shell_map_i_
int ** | shell_map_j_
int ** | shell_map_k_
int ** | shell_map_l_
Ref< GaussianBasisSet > | b1_
Ref< GaussianBasisSet > | b2_
Ref< GaussianBasisSet > | b3_
Ref< GaussianBasisSet > | b4_

## Detailed Description

This class is an abstract base to a generalized four index petite list.

The documentation for this class was generated from the following file:

- gpetite.h